/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
/***************************************************************************
 *            aboutwindow.cc
 *
 *  Sun Aug 22 21:57:49 2004
 *  Copyright  2004  deva
 *  deva@aasimon.org
 ****************************************************************************/

/*
 *    This file is part of MIaV.
 *
 *    MIaV is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    MIaV is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with MIaV; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 */

/*
 * $Id: aboutwindow.cc,v 1.3 2005/05/03 08:31:58 deva Exp $
 */

/*
 * $Log: aboutwindow.cc,v $
 * Revision 1.3  2005/05/03 08:31:58  deva
 * Removed the error object, and replaced it with a more generic info object.
 *
 * Revision 1.2  2005/05/01 09:56:25  deva
 * Added Id and Log tags to all files
 */

#include <config.h>
#ifdef USE_GUI
 
#include "aboutwindow.h"

#include <qpainter.h>
#include <qfont.h>

#include <config.h>
//"miav-grab.h"

AboutWindow::AboutWindow( QWidget* parent, const char* name )
	: QDialog( parent, name )
{
	resize(320,460);
//	setModal(true);
	pix_logo = new QPixmap();
	pix_logo->load("miav-logo-512x512.png");

	setBackgroundColor(QColor(150,150,150));
	
    btn_ok = new QPushButton(this);
	btn_ok->setText("OK");
	btn_ok->move(200, 410);
    btn_ok->resize( 95, 40 );
    btn_ok->setFont( QFont( "Arial", 12, QFont::Bold ) );

    QObject::connect( btn_ok, SIGNAL(clicked()), this, SLOT(close()) );

	show();
}

AboutWindow::~AboutWindow()
{
}

void AboutWindow::paintEvent( QPaintEvent *event )
{
	if(!event) return; // Just to get rid og the compile warning!
	QPainter painter;
	painter.begin(this);

	painter.drawPixmap(-200,-50, *pix_logo);

	painter.setBrush( Dense4Pattern ); 
	painter.drawRect(25,25,270,377);
	
	painter.setBrush( SolidPattern );    
	painter.setFont( QFont( "Arial", 18, QFont::Bold ) );
	painter.setPen( Qt::black );
	painter.drawText(58,58, "MIAV-Grab v" VERSION);
	painter.setPen( Qt::red );
	painter.drawText(60,60, "MIAV-Grab v" VERSION);

	painter.setPen( Qt::white );
	painter.setFont( QFont( "Arial", 11, QFont::Bold ) );
	painter.drawText(30,70, 270, 357, 0, ABOUT_INFO);

	painter.setPen( Qt::white );
	painter.setFont( QFont( "Arial", 8, QFont::Bold ) );
	painter.drawText(30,165, 270, 357, 0, GPL_LICENSE);

	painter.end();
}

#endif /*USE_GUI*/
