/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
/***************************************************************************
 *            img_encoder.h
 *
 *  Mon Nov 15 19:45:07 CET 2004
 *  Copyright  2004 Bent Bisballe
 *  deva@aasimon.org
 ****************************************************************************/

/*
 * Originally from:
 * RTVideoRec Realtime video recoder and encoder for Linux
 *
 * Copyright (C) 2004  B. Stultiens
 */

/*
 *    This file is part of MIaV.
 *
 *    MIaV is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    MIaV is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with MIaV; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 */

/*
 * $Id: img_encoder.h,v 1.6 2005/05/03 08:31:59 deva Exp $
 */

/*
 * $Log: img_encoder.h,v $
 * Revision 1.6  2005/05/03 08:31:59  deva
 * Removed the error object, and replaced it with a more generic info object.
 *
 * Revision 1.5  2005/05/01 09:56:26  deva
 * Added Id and Log tags to all files
 */

#ifndef __RTVIDEOREC_IMGENCODER_H
#define __RTVIDEOREC_IMGENCODER_H

#include "frame.h"
#include "util.h"

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <avformat.h>
extern "C" {
#ifdef HAVE_STDLIB_H
#undef HAVE_STDLIB_H
#endif
#include <jpeglib.h>
#ifdef HAVE_STDLIB_H
#undef HAVE_STDLIB_H
#endif
}

#define VIDEO_BUFFER_SIZE	(1024*1024)	// FIXME: One size fits all...

class ImgEncoder {
 public:
  ImgEncoder();
  ~ImgEncoder();
  void encode(Frame *frame, char* filename, int quality);
  void writeJPEGFile(char *filename, 
                     int quality,
                     JSAMPLE * image_buffer, // Points to large array of R,G,B-order data 
                     int image_width,        // Number of columns in image 
                     int image_height);      // Number of rows in image 
                     
 private:
  // Decoder
  AVFormatContext *dfc;
  AVCodecContext *dcc;

  // Encoder
  AVFormatContext *efc;
  AVCodecContext *ecc;
  AVPacket epkt;
  unsigned char *video_buffer;
  //  AVPacket pkt;
};

#endif /*__RTVIDEOREC_IMGENCODER_H*/

