/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
/***************************************************************************
 *            mov_encoder.h
 *
 *  Sat Feb 19 14:13:19 CET 2005
 *  Copyright  2005 Bent Bisballe
 *  deva@aasimon.org
 ****************************************************************************/

/*
 * Originally from:
 * RTVideoRec Realtime video recoder and encoder for Linux
 *
 * Copyright (C) 2004  B. Stultiens
 */

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

/*
 * $Id: mov_encoder.h,v 1.5 2005/05/03 08:31:59 deva Exp $
 */

/*
 * $Log: mov_encoder.h,v $
 * Revision 1.5  2005/05/03 08:31:59  deva
 * Removed the error object, and replaced it with a more generic info object.
 *
 * Revision 1.4  2005/05/01 09:56:26  deva
 * Added Id and Log tags to all files
 */

#ifndef __RTVIDEOREC_ENCODER_H
#define __RTVIDEOREC_ENCODER_H

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <avformat.h>

#include "frame.h"

#include "util.h"

#define VIDEO_BUFFER_SIZE	(1024*1024)	// FIXME: One size fits all...

class MovEncoder {
 public:
  MovEncoder(const char *filename);
  ~MovEncoder();
  void encode(Frame *frame);

 private:
  void encode_video(Frame *frame);
  void encode_audio(Frame *frame);

  // Decoder
  AVFormatContext *dfc;
  AVCodecContext *dcc;

  // Encoder
  AVFormatContext *efc;
  AVCodecContext *ecc;
  AVPacket epkt;
  unsigned char *video_buffer;
  //  AVPacket pkt;
};

#endif

